EESchema Schematic File Version 4
EELAYER 29 0
EELAYER END
$Descr A4 8268 11693 portrait
encoding utf-8
Sheet 3 5
Title ""
Date ""
Rev ""
Comp ""
Comment1 ""
Comment2 ""
Comment3 ""
Comment4 ""
$EndDescr
$Comp
L OptNetModel50GHz.v1:WSS1X9_50GHz N?
U 1 1 5DF72CEB
P 3150 4350
AR Path="/5DEFF702/5DF72CEB" Ref="N?"  Part="1" 
AR Path="/5DF6ED6A/5DF72CEB" Ref="N303"  Part="1" 
F 0 "N303" H 3100 4997 60  0000 C CNN
F 1 "WSS1X9_50GHz" H 3100 4891 60  0000 C CNN
F 2 "" H 3100 4500 60  0000 C CNN
F 3 "" H 3100 3950 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels: j = l}; s.t. input{j in Channels, i in InputPort}: sum{k in OutputPort} c[i, j,k, j] <= 1;" H 3700 3300 60  0001 C CNN "GLPK"
F 5 "switching" H 2550 3400 30  0001 C CNN "GLPKtype"
F 6 "WDM96" H 3050 3750 30  0001 C CNN "GLPKchannelTableId"
F 7 "192.168.60.1" H 2750 3650 60  0001 C CNN "Controller"
F 8 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 3650 3400 30  0001 C CNN "pinAttribute"
F 9 "WSS1X9_50GHz" H 2600 3550 60  0001 C CNN "Model"
F 10 "WSS" H 2550 3750 60  0001 C CNN "Type"
F 11 "55100" H 2500 3450 30  0001 C CNN "Socket"
F 12 "TBD" H 2900 3750 30  0001 C CNN "LocalConfig"
	1    3150 4350
	-1   0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:CPL9X1_50GHz N?
U 1 1 5DF72CF7
P 5500 2700
AR Path="/5DEFF702/5DF72CF7" Ref="N?"  Part="1" 
AR Path="/5DF6ED6A/5DF72CF7" Ref="N305"  Part="1" 
F 0 "N305" V 4747 2700 60  0000 C CNN
F 1 "CPL9X1_50GHz" V 4853 2700 60  0000 C CNN
F 2 "" H 5150 2700 60  0000 C CNN
F 3 "" H 5050 2950 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l}; s.t. divide{AvailableConnection}: c[i, j, k, l] = 1;" H 6100 3350 60  0001 C CNN "GLPK"
F 5 "switching" H 6400 3650 30  0001 C CNN "GLPKtype"
F 6 "WDM96" H 6300 3550 30  0001 C CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 6200 3450 30  0001 C CNN "pinAttribute"
F 8 "CPL9X1_50GHz" V 4959 2700 60  0000 C CNN "Model"
F 9 "Coupler" H 4850 2850 60  0001 C CNN "Type"
	1    5500 2700
	0    1    1    0   
$EndComp
$Comp
L OptNetModel50GHz.v1:CPL9X1_50GHz N?
U 1 1 5DF72D03
P 5550 4300
AR Path="/5DEFF702/5DF72D03" Ref="N?"  Part="1" 
AR Path="/5DF6ED6A/5DF72D03" Ref="N306"  Part="1" 
F 0 "N306" V 4797 4300 60  0000 C CNN
F 1 "CPL9X1_50GHz" V 4903 4300 60  0000 C CNN
F 2 "" H 5200 4300 60  0000 C CNN
F 3 "" H 5100 4550 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l}; s.t. divide{AvailableConnection}: c[i, j, k, l] = 1;" H 6150 4950 60  0001 C CNN "GLPK"
F 5 "switching" H 6450 5250 30  0001 C CNN "GLPKtype"
F 6 "WDM96" H 6350 5150 30  0001 C CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 6250 5050 30  0001 C CNN "pinAttribute"
F 8 "CPL9X1_50GHz" V 5009 4300 60  0000 C CNN "Model"
F 9 "Coupler" H 4900 4450 60  0001 C CNN "Type"
	1    5550 4300
	0    1    1    0   
$EndComp
$Comp
L OptNetModel50GHz.v1:MCS8X8_2array_50GHz N?
U 1 1 5DF72D12
P 4350 5950
AR Path="/5DEFF702/5DF72D12" Ref="N?"  Part="1" 
AR Path="/5DF6ED6A/5DF72D12" Ref="N304"  Part="1" 
F 0 "N304" H 5278 6146 60  0000 L CNN
F 1 "MCS8X8_2array_50GHz" H 5278 6040 60  0000 L CNN
F 2 "" H 4350 5950 60  0001 C CNN
F 3 "" H 4350 5950 60  0001 C CNN
F 4 "set InputPortD := {1..8}; set OutputPortD := {17..24}; set InputPortA := {25..32}; set OutputPortA := {9..16}; set AvailableConnectionD := {i in InputPortD, j in Channels, k in OutputPortD, l in Channels: j = l}; set AvailableConnectionA := {i in InputPortA, j in Channels, k in OutputPortA, l in Channels: j = l}; set AvailableConnection := AvailableConnectionD union AvailableConnectionA; s.t. outputA{i in InputPortA, j in Channels}: sum{k in OutputPortA} c[i, j, k, j] <= 1; s.t. inputD{j in Channels, k in OutputPortD}: sum{i in InputPortD} c[i, j, k, j] <= 1; s.t. wavelength{i in InputPort, k in OutputPort, j in Channels : j+1 in Channels}: c[i, j, k, j] = c[i, j+1, k, j+1];" H 3450 5300 60  0001 L CNN "GLPK"
F 5 "switching" H 3450 5200 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 3450 5100 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 3450 5000 60  0001 L CNN "pinAttribute"
F 8 "MCS8X8_2array_50GHz" H 5278 5934 60  0000 L CNN "Model"
F 9 "TPA" H 3450 4900 60  0001 L CNN "Type"
F 10 "TBD" H 5278 5851 30  0000 L CNN "Controller"
F 11 "55200" H 5278 5791 30  0000 L CNN "Socket"
F 12 "TBD" H 5278 5731 30  0000 L CNN "LocalConfig"
	1    4350 5950
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:TPND_50GHz P?
U 1 1 5DF72D1A
P 3450 9300
AR Path="/5DEFF702/5DF72D1A" Ref="P?"  Part="1" 
AR Path="/5DF6ED6A/5DF72D1A" Ref="P301"  Part="1" 
F 0 "P301" H 3150 9500 60  0000 L CNN
F 1 "TPND_50GHz" H 3150 9200 60  0000 L CNN
F 2 "" H 2950 9450 60  0001 C CNN
F 3 "" H 3050 9550 60  0001 C CNN
F 4 "TERMINAL" H 3550 9050 60  0001 C CNN "Type"
F 5 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 3750 9000 50  0001 C CNN "pinAttribute"
	1    3450 9300
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:TPND_50GHz P?
U 1 1 5DF72D22
P 4150 9300
AR Path="/5DEFF702/5DF72D22" Ref="P?"  Part="1" 
AR Path="/5DF6ED6A/5DF72D22" Ref="P302"  Part="1" 
F 0 "P302" H 3850 9500 60  0000 L CNN
F 1 "TPND_50GHz" H 3850 9200 60  0000 L CNN
F 2 "" H 3650 9450 60  0001 C CNN
F 3 "" H 3750 9550 60  0001 C CNN
F 4 "TERMINAL" H 4250 9050 60  0001 C CNN "Type"
F 5 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 4450 9000 50  0001 C CNN "pinAttribute"
	1    4150 9300
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:TPND_50GHz P?
U 1 1 5DF72D2A
P 4800 9300
AR Path="/5DEFF702/5DF72D2A" Ref="P?"  Part="1" 
AR Path="/5DF6ED6A/5DF72D2A" Ref="P303"  Part="1" 
F 0 "P303" H 4500 9500 60  0000 L CNN
F 1 "TPND_50GHz" H 4500 9200 60  0000 L CNN
F 2 "" H 4300 9450 60  0001 C CNN
F 3 "" H 4400 9550 60  0001 C CNN
F 4 "TERMINAL" H 4900 9050 60  0001 C CNN "Type"
F 5 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 5100 9000 50  0001 C CNN "pinAttribute"
	1    4800 9300
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:TPND_50GHz P?
U 1 1 5DF72D32
P 5450 9300
AR Path="/5DEFF702/5DF72D32" Ref="P?"  Part="1" 
AR Path="/5DF6ED6A/5DF72D32" Ref="P304"  Part="1" 
F 0 "P304" H 5150 9500 60  0000 L CNN
F 1 "TPND_50GHz" H 5150 9200 60  0000 L CNN
F 2 "" H 4950 9450 60  0001 C CNN
F 3 "" H 5050 9550 60  0001 C CNN
F 4 "TERMINAL" H 5550 9050 60  0001 C CNN "Type"
F 5 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 5750 9000 50  0001 C CNN "pinAttribute"
	1    5450 9300
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N?
U 1 1 5DF72D41
P 2400 2750
AR Path="/5DEFF702/5DF72D41" Ref="N?"  Part="1" 
AR Path="/5DF6ED6A/5DF72D41" Ref="N301"  Part="1" 
F 0 "N301" H 2400 3217 60  0000 C CNN
F 1 "EDFA8array_50GHz" H 2400 3111 60  0000 C CNN
F 2 "" H 2400 2750 60  0000 C CNN
F 3 "" H 2450 2650 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 2250 2450 60  0001 L CNN "GLPK"
F 5 "switching" H 2250 2350 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 2250 2250 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 2250 2150 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 2250 2550 60  0001 L CNN "Model"
F 9 "EDFA" H 2250 2050 60  0001 L CNN "Type"
F 10 "TBD" H 2400 3028 30  0000 C CNN "Controller"
F 11 "55400" H 2400 2968 30  0000 C CNN "Socket"
F 12 "TBD" H 2400 2908 30  0000 C CNN "LocalConfig"
	1    2400 2750
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N?
U 2 1 5DF72D50
P 2400 4350
AR Path="/5DEFF702/5DF72D50" Ref="N?"  Part="2" 
AR Path="/5DF6ED6A/5DF72D50" Ref="N301"  Part="2" 
F 0 "N301" H 2400 4817 60  0000 C CNN
F 1 "EDFA8array_50GHz" H 2400 4711 60  0000 C CNN
F 2 "" H 2400 4350 60  0000 C CNN
F 3 "" H 2450 4250 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 2250 4050 60  0001 L CNN "GLPK"
F 5 "switching" H 2250 3950 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 2250 3850 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 2250 3750 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 2250 4150 60  0001 L CNN "Model"
F 9 "EDFA" H 2250 3650 60  0001 L CNN "Type"
F 10 "TBD" H 2400 4628 30  0000 C CNN "Controller"
F 11 "55400" H 2400 4568 30  0000 C CNN "Socket"
F 12 "TBD" H 2400 4508 30  0000 C CNN "LocalConfig"
	2    2400 4350
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N?
U 3 1 5DF72D5F
P 6350 2700
AR Path="/5DEFF702/5DF72D5F" Ref="N?"  Part="3" 
AR Path="/5DF6ED6A/5DF72D5F" Ref="N301"  Part="3" 
F 0 "N301" H 6350 3167 60  0000 C CNN
F 1 "EDFA8array_50GHz" H 6350 3061 60  0000 C CNN
F 2 "" H 6350 2700 60  0000 C CNN
F 3 "" H 6400 2600 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 6200 2400 60  0001 L CNN "GLPK"
F 5 "switching" H 6200 2300 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 6200 2200 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 6200 2100 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 6200 2500 60  0001 L CNN "Model"
F 9 "EDFA" H 6200 2000 60  0001 L CNN "Type"
F 10 "TBD" H 6350 2978 30  0000 C CNN "Controller"
F 11 "55400" H 6350 2918 30  0000 C CNN "Socket"
F 12 "TBD" H 6350 2858 30  0000 C CNN "LocalConfig"
	3    6350 2700
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N?
U 4 1 5DF72D6E
P 6350 4300
AR Path="/5DEFF702/5DF72D6E" Ref="N?"  Part="4" 
AR Path="/5DF6ED6A/5DF72D6E" Ref="N301"  Part="4" 
F 0 "N301" H 6350 4767 60  0000 C CNN
F 1 "EDFA8array_50GHz" H 6350 4661 60  0000 C CNN
F 2 "" H 6350 4300 60  0000 C CNN
F 3 "" H 6400 4200 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 6200 4000 60  0001 L CNN "GLPK"
F 5 "switching" H 6200 3900 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 6200 3800 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 6200 3700 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 6200 4100 60  0001 L CNN "Model"
F 9 "EDFA" H 6200 3600 60  0001 L CNN "Type"
F 10 "TBD" H 6350 4578 30  0000 C CNN "Controller"
F 11 "55400" H 6350 4518 30  0000 C CNN "Socket"
F 12 "TBD" H 6350 4458 30  0000 C CNN "LocalConfig"
	4    6350 4300
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N?
U 5 1 5DF72D7D
P 3350 7400
AR Path="/5DEFF702/5DF72D7D" Ref="N?"  Part="5" 
AR Path="/5DF6ED6A/5DF72D7D" Ref="N301"  Part="5" 
F 0 "N301" V 3550 7400 60  0000 R CNN
F 1 "EDFA8array_50GHz" H 3850 7550 60  0000 R CNN
F 2 "" H 3350 7400 60  0000 C CNN
F 3 "" H 3400 7300 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 3200 7100 60  0001 L CNN "GLPK"
F 5 "switching" H 3200 7000 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 3200 6900 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 3200 6800 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 3200 7200 60  0001 L CNN "Model"
F 9 "EDFA" H 3200 6700 60  0001 L CNN "Type"
F 10 "TBD" V 3304 7272 30  0001 R CNN "Controller"
F 11 "55400" V 3244 7272 30  0001 R CNN "Socket"
F 12 "TBD" V 3184 7272 30  0001 R CNN "LocalConfig"
	5    3350 7400
	0    -1   -1   0   
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N?
U 6 1 5DF72D8C
P 4050 7400
AR Path="/5DEFF702/5DF72D8C" Ref="N?"  Part="6" 
AR Path="/5DF6ED6A/5DF72D8C" Ref="N301"  Part="6" 
F 0 "N301" V 4250 7400 60  0000 R CNN
F 1 "EDFA8array_50GHz" H 4550 7550 60  0000 R CNN
F 2 "" H 4050 7400 60  0000 C CNN
F 3 "" H 4100 7300 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 3900 7100 60  0001 L CNN "GLPK"
F 5 "switching" H 3900 7000 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 3900 6900 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 3900 6800 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 3900 7200 60  0001 L CNN "Model"
F 9 "EDFA" H 3900 6700 60  0001 L CNN "Type"
F 10 "TBD" V 4004 7272 30  0001 R CNN "Controller"
F 11 "55400" V 3944 7272 30  0001 R CNN "Socket"
F 12 "TBD" V 3884 7272 30  0001 R CNN "LocalConfig"
	6    4050 7400
	0    -1   -1   0   
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N?
U 7 1 5DF72D9B
P 4700 7400
AR Path="/5DEFF702/5DF72D9B" Ref="N?"  Part="7" 
AR Path="/5DF6ED6A/5DF72D9B" Ref="N301"  Part="7" 
F 0 "N301" V 4900 7400 60  0000 R CNN
F 1 "EDFA8array_50GHz" H 5150 7550 60  0000 R CNN
F 2 "" H 4700 7400 60  0000 C CNN
F 3 "" H 4750 7300 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 4550 7100 60  0001 L CNN "GLPK"
F 5 "switching" H 4550 7000 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 4550 6900 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 4550 6800 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 4550 7200 60  0001 L CNN "Model"
F 9 "EDFA" H 4550 6700 60  0001 L CNN "Type"
F 10 "TBD" V 4654 7272 30  0001 R CNN "Controller"
F 11 "55400" V 4594 7272 30  0001 R CNN "Socket"
F 12 "TBD" V 4534 7272 30  0001 R CNN "LocalConfig"
	7    4700 7400
	0    -1   -1   0   
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N?
U 8 1 5DF72DAA
P 5350 7400
AR Path="/5DEFF702/5DF72DAA" Ref="N?"  Part="8" 
AR Path="/5DF6ED6A/5DF72DAA" Ref="N301"  Part="8" 
F 0 "N301" V 5550 7400 60  0000 R CNN
F 1 "EDFA8array_50GHz" H 5800 7550 60  0000 R CNN
F 2 "" H 5350 7400 60  0000 C CNN
F 3 "" H 5400 7300 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 5200 7100 60  0001 L CNN "GLPK"
F 5 "switching" H 5200 7000 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 5200 6900 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 5200 6800 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 5200 7200 60  0001 L CNN "Model"
F 9 "EDFA" H 5200 6700 60  0001 L CNN "Type"
F 10 "TBD" V 5304 7272 30  0001 R CNN "Controller"
F 11 "55400" V 5244 7272 30  0001 R CNN "Socket"
F 12 "TBD" V 5184 7272 30  0001 R CNN "LocalConfig"
	8    5350 7400
	0    -1   -1   0   
$EndComp
Wire Wire Line
	3350 7250 3350 6550
Wire Wire Line
	3350 6550 4450 6550
Wire Wire Line
	4450 6550 4450 6450
Wire Wire Line
	4550 6650 4550 6450
Wire Wire Line
	4700 7250 4700 6650
Wire Wire Line
	4650 6650 4650 6450
Wire Wire Line
	5350 7250 5350 6650
Wire Wire Line
	4750 6650 4750 6450
Wire Wire Line
	3650 6450 3650 6850
Wire Wire Line
	3650 6850 4250 6850
Wire Wire Line
	3750 6800 4900 6800
Wire Wire Line
	3850 6750 3850 6450
Wire Wire Line
	2550 2750 2900 2750
Wire Wire Line
	2550 4350 2900 4350
Wire Wire Line
	5800 2700 6200 2700
Wire Wire Line
	5850 4300 6200 4300
Wire Wire Line
	4050 2450 4050 3900
Wire Wire Line
	4050 3900 5250 3900
Wire Wire Line
	3500 2350 4050 2350
Wire Wire Line
	4050 2350 4050 2300
Wire Wire Line
	4050 2300 5200 2300
Wire Wire Line
	3500 3950 4150 3950
Wire Wire Line
	4250 4050 4250 4000
Wire Wire Line
	3500 2550 3750 2550
Wire Wire Line
	3750 2550 3750 4850
Wire Wire Line
	3750 4850 3550 4850
Wire Wire Line
	3550 4850 3550 5450
Wire Wire Line
	3500 4150 3650 4150
Wire Wire Line
	3650 4150 3650 5450
Wire Wire Line
	4550 5450 4550 4100
NoConn ~ 3500 2650
NoConn ~ 3500 2750
$Comp
L OptNetModel50GHz.v1:WSS1X9_50GHz N?
U 1 1 5DF72DE7
P 3150 2750
AR Path="/5DEFF702/5DF72DE7" Ref="N?"  Part="1" 
AR Path="/5DF6ED6A/5DF72DE7" Ref="N302"  Part="1" 
F 0 "N302" H 3100 3397 60  0000 C CNN
F 1 "WSS1X9_50GHz" H 3100 3291 60  0000 C CNN
F 2 "" H 3100 2900 60  0000 C CNN
F 3 "" H 3100 2350 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels: j = l}; s.t. input{j in Channels, i in InputPort}: sum{k in OutputPort} c[i, j,k, j] <= 1;" H 3700 1700 60  0001 C CNN "GLPK"
F 5 "switching" H 2550 1800 30  0001 C CNN "GLPKtype"
F 6 "WDM96" H 3050 2150 30  0001 C CNN "GLPKchannelTableId"
F 7 "192.168.60.1" H 2750 2050 60  0001 C CNN "Controller"
F 8 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 3650 1800 30  0001 C CNN "pinAttribute"
F 9 "WSS1X9_50GHz" H 2600 1950 60  0001 C CNN "Model"
F 10 "WSS" H 2550 2150 60  0001 C CNN "Type"
F 11 "55100" H 2500 1850 30  0001 C CNN "Socket"
F 12 "TBD" H 2900 2150 30  0001 C CNN "LocalConfig"
	1    3150 2750
	-1   0    0    -1  
$EndComp
NoConn ~ 3500 2850
NoConn ~ 3500 2950
NoConn ~ 3500 3050
NoConn ~ 3500 3150
NoConn ~ 3500 4250
NoConn ~ 3500 4350
NoConn ~ 3500 4450
NoConn ~ 3500 4550
NoConn ~ 3500 4650
NoConn ~ 3500 4750
NoConn ~ 5200 2600
NoConn ~ 5200 2700
NoConn ~ 5200 2800
NoConn ~ 5200 2900
NoConn ~ 5200 3000
NoConn ~ 5200 3100
NoConn ~ 5250 4200
NoConn ~ 5250 4300
NoConn ~ 5250 4400
NoConn ~ 5250 4500
NoConn ~ 5250 4600
NoConn ~ 5250 4700
NoConn ~ 3750 5450
NoConn ~ 3850 5450
NoConn ~ 3950 5450
NoConn ~ 4050 5450
NoConn ~ 4150 5450
NoConn ~ 4250 5450
NoConn ~ 4650 5450
NoConn ~ 4750 5450
NoConn ~ 4850 5450
NoConn ~ 4950 5450
NoConn ~ 5050 5450
NoConn ~ 5150 5450
NoConn ~ 5150 6450
NoConn ~ 5050 6450
NoConn ~ 4950 6450
NoConn ~ 4850 6450
NoConn ~ 4250 6450
NoConn ~ 4150 6450
NoConn ~ 4050 6450
NoConn ~ 3950 6450
Text HLabel 6850 1350 2    50   Output ~ 0
NODE2OUT1
Text HLabel 6850 1500 2    50   Input ~ 0
NODE2IN1
Wire Wire Line
	6500 2700 7000 2700
Wire Wire Line
	7000 2700 7000 1900
Wire Wire Line
	7000 1900 6350 1900
Wire Wire Line
	6350 1900 6350 1350
Wire Wire Line
	6350 1350 6850 1350
Wire Wire Line
	6850 1500 1900 1500
Wire Wire Line
	1900 1500 1900 2750
Wire Wire Line
	1900 2750 2250 2750
Text HLabel 1400 1250 0    50   Output ~ 0
NODE2OUT2
Text HLabel 1400 1100 0    50   Input ~ 0
NODE2IN2
Wire Wire Line
	6500 4300 7050 4300
Wire Wire Line
	7050 4300 7050 1750
Wire Wire Line
	1400 1250 1650 1250
Wire Wire Line
	3550 6450 3550 8950
Wire Wire Line
	3350 7550 3350 8950
Wire Wire Line
	4050 7550 4050 8950
Wire Wire Line
	4250 6850 4250 8950
Wire Wire Line
	4700 7550 4700 8950
Wire Wire Line
	4900 6800 4900 8950
Wire Wire Line
	5350 7550 5350 8950
Wire Wire Line
	5550 6750 5550 8950
Wire Wire Line
	4550 4100 5250 4100
Wire Wire Line
	4450 2500 5200 2500
Wire Wire Line
	4450 5450 4450 2500
Wire Wire Line
	4250 4000 5250 4000
Wire Wire Line
	3500 4050 4250 4050
Wire Wire Line
	4150 2400 5200 2400
Wire Wire Line
	4150 3950 4150 2400
Wire Wire Line
	3500 2450 4050 2450
Wire Wire Line
	5550 6750 3850 6750
Wire Wire Line
	3750 6450 3750 6800
Wire Wire Line
	5350 6650 4750 6650
Wire Wire Line
	4700 6650 4650 6650
Wire Wire Line
	4050 6650 4550 6650
Wire Wire Line
	4050 7250 4050 6650
Wire Wire Line
	1400 1100 1550 1100
Wire Wire Line
	1550 1100 1550 4350
Wire Wire Line
	1550 4350 2250 4350
Wire Wire Line
	7050 1750 1650 1750
Wire Wire Line
	1650 1750 1650 1250
Text Label 3350 8800 1    50   ~ 0
{"name":"NODE2_AD1-0"}
Text Label 3550 8800 1    50   ~ 0
{"name":"NODE2_AD1-1"}
Text Label 4050 8800 1    50   ~ 0
{"name":"NODE2_AD2-0"}
Text Label 4250 8800 1    50   ~ 0
{"name":"NODE2_AD2-1"}
Text Label 4700 8800 1    50   ~ 0
{"name":"NODE2_AD3-0"}
Text Label 4900 8800 1    50   ~ 0
{"name":"NODE2_AD3-1"}
Text Label 5350 8800 1    50   ~ 0
{"name":"NODE2_AD4-0"}
Text Label 5550 8800 1    50   ~ 0
{"name":"NODE2_AD4-1"}
$EndSCHEMATC
