EESchema Schematic File Version 4
EELAYER 29 0
EELAYER END
$Descr A4 8268 11693 portrait
encoding utf-8
Sheet 2 5
Title ""
Date ""
Rev ""
Comp ""
Comment1 ""
Comment2 ""
Comment3 ""
Comment4 ""
$EndDescr
$Comp
L OptNetModel50GHz.v1:WSS1X9_50GHz N203
U 1 1 5DF009EC
P 3100 4350
AR Path="/5DEFF702/5DF009EC" Ref="N203"  Part="1" 
AR Path="/5DF6ED6A/5DF009EC" Ref="N?"  Part="1" 
F 0 "N203" H 3050 4997 60  0000 C CNN
F 1 "WSS1X9_50GHz" H 3050 4891 60  0000 C CNN
F 2 "" H 3050 4500 60  0000 C CNN
F 3 "" H 3050 3950 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels: j = l}; s.t. input{j in Channels, i in InputPort}: sum{k in OutputPort} c[i, j,k, j] <= 1;" H 3650 3300 60  0001 C CNN "GLPK"
F 5 "switching" H 2500 3400 30  0001 C CNN "GLPKtype"
F 6 "WDM96" H 3000 3750 30  0001 C CNN "GLPKchannelTableId"
F 7 "192.168.60.1" H 2700 3650 60  0001 C CNN "Controller"
F 8 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 3600 3400 30  0001 C CNN "pinAttribute"
F 9 "WSS1X9_50GHz" H 2550 3550 60  0001 C CNN "Model"
F 10 "WSS" H 2500 3750 60  0001 C CNN "Type"
F 11 "55100" H 2450 3450 30  0001 C CNN "Socket"
F 12 "TBD" H 2850 3750 30  0001 C CNN "LocalConfig"
	1    3100 4350
	-1   0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:CPL9X1_50GHz N205
U 1 1 5DF01A69
P 5450 2700
AR Path="/5DEFF702/5DF01A69" Ref="N205"  Part="1" 
AR Path="/5DF6ED6A/5DF01A69" Ref="N?"  Part="1" 
F 0 "N205" V 4697 2700 60  0000 C CNN
F 1 "CPL9X1_50GHz" V 4803 2700 60  0000 C CNN
F 2 "" H 5100 2700 60  0000 C CNN
F 3 "" H 5000 2950 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l}; s.t. divide{AvailableConnection}: c[i, j, k, l] = 1;" H 6050 3350 60  0001 C CNN "GLPK"
F 5 "switching" H 6350 3650 30  0001 C CNN "GLPKtype"
F 6 "WDM96" H 6250 3550 30  0001 C CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 6150 3450 30  0001 C CNN "pinAttribute"
F 8 "CPL9X1_50GHz" V 4909 2700 60  0000 C CNN "Model"
F 9 "Coupler" H 4800 2850 60  0001 C CNN "Type"
	1    5450 2700
	0    1    1    0   
$EndComp
$Comp
L OptNetModel50GHz.v1:CPL9X1_50GHz N206
U 1 1 5DF02701
P 5500 4300
AR Path="/5DEFF702/5DF02701" Ref="N206"  Part="1" 
AR Path="/5DF6ED6A/5DF02701" Ref="N?"  Part="1" 
F 0 "N206" V 4747 4300 60  0000 C CNN
F 1 "CPL9X1_50GHz" V 4853 4300 60  0000 C CNN
F 2 "" H 5150 4300 60  0000 C CNN
F 3 "" H 5050 4550 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l}; s.t. divide{AvailableConnection}: c[i, j, k, l] = 1;" H 6100 4950 60  0001 C CNN "GLPK"
F 5 "switching" H 6400 5250 30  0001 C CNN "GLPKtype"
F 6 "WDM96" H 6300 5150 30  0001 C CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 6200 5050 30  0001 C CNN "pinAttribute"
F 8 "CPL9X1_50GHz" V 4959 4300 60  0000 C CNN "Model"
F 9 "Coupler" H 4850 4450 60  0001 C CNN "Type"
	1    5500 4300
	0    1    1    0   
$EndComp
$Comp
L OptNetModel50GHz.v1:MCS8X8_2array_50GHz N204
U 1 1 5DF035C7
P 4300 5950
AR Path="/5DEFF702/5DF035C7" Ref="N204"  Part="1" 
AR Path="/5DF6ED6A/5DF035C7" Ref="N?"  Part="1" 
F 0 "N204" H 5228 6146 60  0000 L CNN
F 1 "MCS8X8_2array_50GHz" H 5228 6040 60  0000 L CNN
F 2 "" H 4300 5950 60  0001 C CNN
F 3 "" H 4300 5950 60  0001 C CNN
F 4 "set InputPortD := {1..8}; set OutputPortD := {17..24}; set InputPortA := {25..32}; set OutputPortA := {9..16}; set AvailableConnectionD := {i in InputPortD, j in Channels, k in OutputPortD, l in Channels: j = l}; set AvailableConnectionA := {i in InputPortA, j in Channels, k in OutputPortA, l in Channels: j = l}; set AvailableConnection := AvailableConnectionD union AvailableConnectionA; s.t. outputA{i in InputPortA, j in Channels}: sum{k in OutputPortA} c[i, j, k, j] <= 1; s.t. inputD{j in Channels, k in OutputPortD}: sum{i in InputPortD} c[i, j, k, j] <= 1; s.t. wavelength{i in InputPort, k in OutputPort, j in Channels : j+1 in Channels}: c[i, j, k, j] = c[i, j+1, k, j+1];" H 3400 5300 60  0001 L CNN "GLPK"
F 5 "switching" H 3400 5200 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 3400 5100 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 3400 5000 60  0001 L CNN "pinAttribute"
F 8 "MCS8X8_2array_50GHz" H 5228 5934 60  0000 L CNN "Model"
F 9 "TPA" H 3400 4900 60  0001 L CNN "Type"
F 10 "TBD" H 5228 5851 30  0000 L CNN "Controller"
F 11 "55200" H 5228 5791 30  0000 L CNN "Socket"
F 12 "TBD" H 5228 5731 30  0000 L CNN "LocalConfig"
	1    4300 5950
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:TPND_50GHz P201
U 1 1 5DF07343
P 3400 9300
AR Path="/5DEFF702/5DF07343" Ref="P201"  Part="1" 
AR Path="/5DF6ED6A/5DF07343" Ref="P?"  Part="1" 
F 0 "P201" H 3100 9500 60  0000 L CNN
F 1 "TPND_50GHz" H 3100 9200 60  0000 L CNN
F 2 "" H 2900 9450 60  0001 C CNN
F 3 "" H 3000 9550 60  0001 C CNN
F 4 "TERMINAL" H 3500 9050 60  0001 C CNN "Type"
F 5 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 3700 9000 50  0001 C CNN "pinAttribute"
	1    3400 9300
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:TPND_50GHz P202
U 1 1 5DF07FAF
P 4100 9300
AR Path="/5DEFF702/5DF07FAF" Ref="P202"  Part="1" 
AR Path="/5DF6ED6A/5DF07FAF" Ref="P?"  Part="1" 
F 0 "P202" H 3800 9500 60  0000 L CNN
F 1 "TPND_50GHz" H 3800 9200 60  0000 L CNN
F 2 "" H 3600 9450 60  0001 C CNN
F 3 "" H 3700 9550 60  0001 C CNN
F 4 "TERMINAL" H 4200 9050 60  0001 C CNN "Type"
F 5 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 4400 9000 50  0001 C CNN "pinAttribute"
	1    4100 9300
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:TPND_50GHz P203
U 1 1 5DF08159
P 4750 9300
AR Path="/5DEFF702/5DF08159" Ref="P203"  Part="1" 
AR Path="/5DF6ED6A/5DF08159" Ref="P?"  Part="1" 
F 0 "P203" H 4450 9500 60  0000 L CNN
F 1 "TPND_50GHz" H 4450 9200 60  0000 L CNN
F 2 "" H 4250 9450 60  0001 C CNN
F 3 "" H 4350 9550 60  0001 C CNN
F 4 "TERMINAL" H 4850 9050 60  0001 C CNN "Type"
F 5 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 5050 9000 50  0001 C CNN "pinAttribute"
	1    4750 9300
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:TPND_50GHz P204
U 1 1 5DF084D8
P 5400 9300
AR Path="/5DEFF702/5DF084D8" Ref="P204"  Part="1" 
AR Path="/5DF6ED6A/5DF084D8" Ref="P?"  Part="1" 
F 0 "P204" H 5100 9500 60  0000 L CNN
F 1 "TPND_50GHz" H 5100 9200 60  0000 L CNN
F 2 "" H 4900 9450 60  0001 C CNN
F 3 "" H 5000 9550 60  0001 C CNN
F 4 "TERMINAL" H 5500 9050 60  0001 C CNN "Type"
F 5 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 5700 9000 50  0001 C CNN "pinAttribute"
	1    5400 9300
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N201
U 1 1 5DF09B26
P 2350 2750
AR Path="/5DEFF702/5DF09B26" Ref="N201"  Part="1" 
AR Path="/5DF6ED6A/5DF09B26" Ref="N?"  Part="1" 
F 0 "N201" H 2350 3217 60  0000 C CNN
F 1 "EDFA8array_50GHz" H 2350 3111 60  0000 C CNN
F 2 "" H 2350 2750 60  0000 C CNN
F 3 "" H 2400 2650 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 2200 2450 60  0001 L CNN "GLPK"
F 5 "switching" H 2200 2350 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 2200 2250 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 2200 2150 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 2200 2550 60  0001 L CNN "Model"
F 9 "EDFA" H 2200 2050 60  0001 L CNN "Type"
F 10 "TBD" H 2350 3028 30  0000 C CNN "Controller"
F 11 "55400" H 2350 2968 30  0000 C CNN "Socket"
F 12 "TBD" H 2350 2908 30  0000 C CNN "LocalConfig"
	1    2350 2750
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N201
U 2 1 5DF0BD74
P 2350 4350
AR Path="/5DEFF702/5DF0BD74" Ref="N201"  Part="2" 
AR Path="/5DF6ED6A/5DF0BD74" Ref="N?"  Part="2" 
F 0 "N201" H 2350 4817 60  0000 C CNN
F 1 "EDFA8array_50GHz" H 2350 4711 60  0000 C CNN
F 2 "" H 2350 4350 60  0000 C CNN
F 3 "" H 2400 4250 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 2200 4050 60  0001 L CNN "GLPK"
F 5 "switching" H 2200 3950 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 2200 3850 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 2200 3750 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 2200 4150 60  0001 L CNN "Model"
F 9 "EDFA" H 2200 3650 60  0001 L CNN "Type"
F 10 "TBD" H 2350 4628 30  0000 C CNN "Controller"
F 11 "55400" H 2350 4568 30  0000 C CNN "Socket"
F 12 "TBD" H 2350 4508 30  0000 C CNN "LocalConfig"
	2    2350 4350
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N201
U 3 1 5DF0C2AB
P 6300 2700
AR Path="/5DEFF702/5DF0C2AB" Ref="N201"  Part="3" 
AR Path="/5DF6ED6A/5DF0C2AB" Ref="N?"  Part="3" 
F 0 "N201" H 6300 3167 60  0000 C CNN
F 1 "EDFA8array_50GHz" H 6300 3061 60  0000 C CNN
F 2 "" H 6300 2700 60  0000 C CNN
F 3 "" H 6350 2600 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 6150 2400 60  0001 L CNN "GLPK"
F 5 "switching" H 6150 2300 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 6150 2200 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 6150 2100 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 6150 2500 60  0001 L CNN "Model"
F 9 "EDFA" H 6150 2000 60  0001 L CNN "Type"
F 10 "TBD" H 6300 2978 30  0000 C CNN "Controller"
F 11 "55400" H 6300 2918 30  0000 C CNN "Socket"
F 12 "TBD" H 6300 2858 30  0000 C CNN "LocalConfig"
	3    6300 2700
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N201
U 4 1 5DF0DCE5
P 6300 4300
AR Path="/5DEFF702/5DF0DCE5" Ref="N201"  Part="4" 
AR Path="/5DF6ED6A/5DF0DCE5" Ref="N?"  Part="4" 
F 0 "N201" H 6300 4767 60  0000 C CNN
F 1 "EDFA8array_50GHz" H 6300 4661 60  0000 C CNN
F 2 "" H 6300 4300 60  0000 C CNN
F 3 "" H 6350 4200 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 6150 4000 60  0001 L CNN "GLPK"
F 5 "switching" H 6150 3900 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 6150 3800 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 6150 3700 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 6150 4100 60  0001 L CNN "Model"
F 9 "EDFA" H 6150 3600 60  0001 L CNN "Type"
F 10 "TBD" H 6300 4578 30  0000 C CNN "Controller"
F 11 "55400" H 6300 4518 30  0000 C CNN "Socket"
F 12 "TBD" H 6300 4458 30  0000 C CNN "LocalConfig"
	4    6300 4300
	1    0    0    -1  
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N201
U 5 1 5DF0F560
P 3300 7400
AR Path="/5DEFF702/5DF0F560" Ref="N201"  Part="5" 
AR Path="/5DF6ED6A/5DF0F560" Ref="N?"  Part="5" 
F 0 "N201" V 3500 7400 60  0000 R CNN
F 1 "EDFA8array_50GHz" H 3800 7550 60  0000 R CNN
F 2 "" H 3300 7400 60  0000 C CNN
F 3 "" H 3350 7300 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 3150 7100 60  0001 L CNN "GLPK"
F 5 "switching" H 3150 7000 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 3150 6900 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 3150 6800 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 3150 7200 60  0001 L CNN "Model"
F 9 "EDFA" H 3150 6700 60  0001 L CNN "Type"
F 10 "TBD" V 3254 7272 30  0001 R CNN "Controller"
F 11 "55400" V 3194 7272 30  0001 R CNN "Socket"
F 12 "TBD" V 3134 7272 30  0001 R CNN "LocalConfig"
	5    3300 7400
	0    -1   -1   0   
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N201
U 6 1 5DF10A38
P 4000 7400
AR Path="/5DEFF702/5DF10A38" Ref="N201"  Part="6" 
AR Path="/5DF6ED6A/5DF10A38" Ref="N?"  Part="6" 
F 0 "N201" V 4200 7400 60  0000 R CNN
F 1 "EDFA8array_50GHz" H 4500 7550 60  0000 R CNN
F 2 "" H 4000 7400 60  0000 C CNN
F 3 "" H 4050 7300 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 3850 7100 60  0001 L CNN "GLPK"
F 5 "switching" H 3850 7000 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 3850 6900 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 3850 6800 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 3850 7200 60  0001 L CNN "Model"
F 9 "EDFA" H 3850 6700 60  0001 L CNN "Type"
F 10 "TBD" V 3954 7272 30  0001 R CNN "Controller"
F 11 "55400" V 3894 7272 30  0001 R CNN "Socket"
F 12 "TBD" V 3834 7272 30  0001 R CNN "LocalConfig"
	6    4000 7400
	0    -1   -1   0   
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N201
U 7 1 5DF11A82
P 4650 7400
AR Path="/5DEFF702/5DF11A82" Ref="N201"  Part="7" 
AR Path="/5DF6ED6A/5DF11A82" Ref="N?"  Part="7" 
F 0 "N201" V 4850 7400 60  0000 R CNN
F 1 "EDFA8array_50GHz" H 5100 7550 60  0000 R CNN
F 2 "" H 4650 7400 60  0000 C CNN
F 3 "" H 4700 7300 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 4500 7100 60  0001 L CNN "GLPK"
F 5 "switching" H 4500 7000 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 4500 6900 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 4500 6800 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 4500 7200 60  0001 L CNN "Model"
F 9 "EDFA" H 4500 6700 60  0001 L CNN "Type"
F 10 "TBD" V 4604 7272 30  0001 R CNN "Controller"
F 11 "55400" V 4544 7272 30  0001 R CNN "Socket"
F 12 "TBD" V 4484 7272 30  0001 R CNN "LocalConfig"
	7    4650 7400
	0    -1   -1   0   
$EndComp
$Comp
L OptNetModel50GHz.v1:EDFA8array_50GHz N201
U 8 1 5DF12F12
P 5300 7400
AR Path="/5DEFF702/5DF12F12" Ref="N201"  Part="8" 
AR Path="/5DF6ED6A/5DF12F12" Ref="N?"  Part="8" 
F 0 "N201" V 5500 7400 60  0000 R CNN
F 1 "EDFA8array_50GHz" H 5750 7550 60  0000 R CNN
F 2 "" H 5300 7400 60  0000 C CNN
F 3 "" H 5350 7300 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels : j = l && k = i + 1};" H 5150 7100 60  0001 L CNN "GLPK"
F 5 "switching" H 5150 7000 60  0001 L CNN "GLPKtype"
F 6 "WDM96" H 5150 6900 60  0001 L CNN "GLPKchannelTableId"
F 7 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 5150 6800 60  0001 L CNN "pinAttribute"
F 8 "EDFA8array_50GHz" H 5150 7200 60  0001 L CNN "Model"
F 9 "EDFA" H 5150 6700 60  0001 L CNN "Type"
F 10 "TBD" V 5254 7272 30  0001 R CNN "Controller"
F 11 "55400" V 5194 7272 30  0001 R CNN "Socket"
F 12 "TBD" V 5134 7272 30  0001 R CNN "LocalConfig"
	8    5300 7400
	0    -1   -1   0   
$EndComp
Wire Wire Line
	3300 7250 3300 6550
Wire Wire Line
	3300 6550 4400 6550
Wire Wire Line
	4400 6550 4400 6450
Wire Wire Line
	4000 7250 4000 6650
Wire Wire Line
	4000 6650 4500 6650
Wire Wire Line
	4500 6650 4500 6450
Wire Wire Line
	4650 7250 4650 6650
Wire Wire Line
	4650 6650 4600 6650
Wire Wire Line
	4600 6650 4600 6450
Wire Wire Line
	5300 7250 5300 6650
Wire Wire Line
	5300 6650 4700 6650
Wire Wire Line
	4700 6650 4700 6450
Wire Wire Line
	3600 6450 3600 6850
Wire Wire Line
	3600 6850 4200 6850
Wire Wire Line
	3700 6450 3700 6800
Wire Wire Line
	3700 6800 4850 6800
Wire Wire Line
	5500 6750 3800 6750
Wire Wire Line
	3800 6750 3800 6450
Wire Wire Line
	2500 2750 2850 2750
Wire Wire Line
	2500 4350 2850 4350
Wire Wire Line
	5750 2700 6150 2700
Wire Wire Line
	5800 4300 6150 4300
Wire Wire Line
	3450 2450 4000 2450
Wire Wire Line
	4000 2450 4000 3900
Wire Wire Line
	4000 3900 5200 3900
Wire Wire Line
	3450 2350 4000 2350
Wire Wire Line
	4000 2350 4000 2300
Wire Wire Line
	4000 2300 5150 2300
Wire Wire Line
	3450 3950 4100 3950
Wire Wire Line
	4100 3950 4100 2400
Wire Wire Line
	4100 2400 5150 2400
Wire Wire Line
	3450 4050 4200 4050
Wire Wire Line
	4200 4050 4200 4000
Wire Wire Line
	4200 4000 5200 4000
Wire Wire Line
	3450 2550 3700 2550
Wire Wire Line
	3700 2550 3700 4850
Wire Wire Line
	3700 4850 3500 4850
Wire Wire Line
	3500 4850 3500 5450
Wire Wire Line
	3450 4150 3600 4150
Wire Wire Line
	3600 4150 3600 5450
Wire Wire Line
	4400 5450 4400 2500
Wire Wire Line
	4400 2500 5150 2500
Wire Wire Line
	4500 5450 4500 4100
Wire Wire Line
	4500 4100 5200 4100
NoConn ~ 3450 2650
NoConn ~ 3450 2750
$Comp
L OptNetModel50GHz.v1:WSS1X9_50GHz N202
U 1 1 5DEFF800
P 3100 2750
AR Path="/5DEFF702/5DEFF800" Ref="N202"  Part="1" 
AR Path="/5DF6ED6A/5DEFF800" Ref="N?"  Part="1" 
F 0 "N202" H 3050 3397 60  0000 C CNN
F 1 "WSS1X9_50GHz" H 3050 3291 60  0000 C CNN
F 2 "" H 3050 2900 60  0000 C CNN
F 3 "" H 3050 2350 60  0000 C CNN
F 4 "set AvailableConnection := {i in InputPort, j in Channels, k in OutputPort, l in Channels: j = l}; s.t. input{j in Channels, i in InputPort}: sum{k in OutputPort} c[i, j,k, j] <= 1;" H 3650 1700 60  0001 C CNN "GLPK"
F 5 "switching" H 2500 1800 30  0001 C CNN "GLPKtype"
F 6 "WDM96" H 3000 2150 30  0001 C CNN "GLPKchannelTableId"
F 7 "192.168.60.1" H 2700 2050 60  0001 C CNN "Controller"
F 8 "{\"pinAttribute\":[{\"pin\":\"*\", \"supportSignal\":\"ANY\", \"supportChannel\":\"WDM96\"}]}" H 3600 1800 30  0001 C CNN "pinAttribute"
F 9 "WSS1X9_50GHz" H 2550 1950 60  0001 C CNN "Model"
F 10 "WSS" H 2500 2150 60  0001 C CNN "Type"
F 11 "55100" H 2450 1850 30  0001 C CNN "Socket"
F 12 "TBD" H 2850 2150 30  0001 C CNN "LocalConfig"
	1    3100 2750
	-1   0    0    -1  
$EndComp
NoConn ~ 3450 2850
NoConn ~ 3450 2950
NoConn ~ 3450 3050
NoConn ~ 3450 3150
NoConn ~ 3450 4250
NoConn ~ 3450 4350
NoConn ~ 3450 4450
NoConn ~ 3450 4550
NoConn ~ 3450 4650
NoConn ~ 3450 4750
NoConn ~ 5150 2600
NoConn ~ 5150 2700
NoConn ~ 5150 2800
NoConn ~ 5150 2900
NoConn ~ 5150 3000
NoConn ~ 5150 3100
NoConn ~ 5200 4200
NoConn ~ 5200 4300
NoConn ~ 5200 4400
NoConn ~ 5200 4500
NoConn ~ 5200 4600
NoConn ~ 5200 4700
NoConn ~ 3700 5450
NoConn ~ 3800 5450
NoConn ~ 3900 5450
NoConn ~ 4000 5450
NoConn ~ 4100 5450
NoConn ~ 4200 5450
NoConn ~ 4600 5450
NoConn ~ 4700 5450
NoConn ~ 4800 5450
NoConn ~ 4900 5450
NoConn ~ 5000 5450
NoConn ~ 5100 5450
NoConn ~ 5100 6450
NoConn ~ 5000 6450
NoConn ~ 4900 6450
NoConn ~ 4800 6450
NoConn ~ 4200 6450
NoConn ~ 4100 6450
NoConn ~ 4000 6450
NoConn ~ 3900 6450
Text HLabel 6800 1350 2    50   Output ~ 0
NODE1OUT1
Text HLabel 6800 1500 2    50   Input ~ 0
NODE1IN1
Wire Wire Line
	6450 2700 6950 2700
Wire Wire Line
	6950 2700 6950 1900
Wire Wire Line
	6950 1900 6300 1900
Wire Wire Line
	6300 1900 6300 1350
Wire Wire Line
	6300 1350 6800 1350
Wire Wire Line
	6800 1500 1850 1500
Wire Wire Line
	1850 1500 1850 2750
Wire Wire Line
	1850 2750 2200 2750
Text HLabel 1350 1250 0    50   Output ~ 0
NODE1OUT2
Text HLabel 1350 1100 0    50   Input ~ 0
NODE1IN2
Wire Wire Line
	6450 4300 7000 4300
Wire Wire Line
	7000 4300 7000 1750
Wire Wire Line
	3500 6450 3500 8950
Wire Wire Line
	3300 7550 3300 8950
Wire Wire Line
	4000 7550 4000 8950
Wire Wire Line
	4200 6850 4200 8950
Wire Wire Line
	4650 7550 4650 8950
Wire Wire Line
	4850 6800 4850 8950
Wire Wire Line
	5300 7550 5300 8950
Wire Wire Line
	5500 6750 5500 8950
Wire Wire Line
	7000 1750 2100 1750
Wire Wire Line
	2100 1750 2100 1250
Wire Wire Line
	1350 1250 2100 1250
Wire Wire Line
	1350 1100 1650 1100
Wire Wire Line
	1650 1100 1650 4350
Wire Wire Line
	1650 4350 2200 4350
Text Label 3300 8850 1    50   ~ 0
{"name":"NODE1_AD1-0"}
Text Label 3500 8850 1    50   ~ 0
{"name":"NODE1_AD1-1"}
Text Label 4000 8850 1    50   ~ 0
{"name":"NODE1_AD2-0"}
Text Label 4200 8850 1    50   ~ 0
{"name":"NODE1_AD2-1"}
Text Label 4650 8850 1    50   ~ 0
{"name":"NODE1_AD3-0"}
Text Label 4850 8850 1    50   ~ 0
{"name":"NODE1_AD3-1"}
Text Label 5300 8800 1    50   ~ 0
{"name":"NODE1_AD4-0"}
Text Label 5500 8800 1    50   ~ 0
{"name":"NODE1_AD4-1"}
$EndSCHEMATC
